    include	"lang.asm" ; определение языка во внешнем файле, чтобы не переписывать целиком этот файл
    include	"newsound.asm" ; определение были ли добавлены мелодии. их адреса и все такое.


	org	0	
	IF	(LANG=1)
		incbin	"ZTR orig.bin" ; оригинальный ром. понятно что надо его скопировать под каким-то именем и втулить сюда
	ELSE
		incbin	"ZTR orig.bin" ; локализованный ром 2002 года
	ENDC
	
	
	org	$30B2 ; новая отсебятина. файлы с названиями уровней для карты внизу.
	IF	(LANG=1)
		include	"LevelNamesENG.asm"
	ELSE
		include	"LevelNamesRUS.asm"
	ENDC
	
	
	org	$B7F8
	movea.l	#aSteppingOneFloorup,a0
	
	org	$B86E
	movea.l #aSteppingOneFloordo,a0
	
	org	$D95E
	movea.l #aHealthConditionlow,a0
	
	org	$D97C
	movea.l #aHealthConditioncri,a0
	
	org	$E6B4
	movea.l #aFloorNotsecured,a0
	
	org	$E714
	movea.l #aFloorNotsecured,a0
	
	org	$E774
	movea.l #aFloorNotsecured,a0
	
	org	$10B4C
	movea.l #aAmmuNitionIslo,a0
	
	org	$11BAC
	movea.l #aMedipackCollected,a0
	
	org	$1357E
	movea.l #unk_1B412,a0
	jsr	$1E0C2.l
	movea.l #unk_1B412,a0
	jsr	$1E0C2.l
	movea.l #unk_1B412,a0
	jsr	$1E0C2.l
	
	org	$18768
	movea.l #aHandgunCollected,a0
	
	org	$1AF66
	movea.l #aLaserAimedGuncolle,a0
	
	org	$1E114
	movea.l #aFloorSecured,a0
	
	org	$1E122
	movea.l #aProceedToNextL,a0
	
	org	$57EB2
	movea.l #aZeroEnemiesRem,a0
	
	org	$B84A
	movea.l #off_0_1EE94,a0
	
	org	$B8C0
	movea.l #off_0_1EE94,a0	
	
	org	$11B68
	movea.l #off_0_1EF14,a0
	
	org	$1C656
	movea.l #off_0_1EF14,a0	
	
	org $576AA      ; новая отсебятина 3 - названия уровней на карте вверху. (там где двухтайловый шрифт)
	IF	(LANG=1)
		include	"LevelNames2ENG.asm"
	ELSE
		include	"LevelNames2RUS.asm"
	ENDC
	
	IF	(NEWSONGS=1)
		org    $5E51C ; адрес старого банка сэмплов
		filesequ:
			incbin    "Songs\Mods\sequences.bin" ; пишем поверх новые банки GEMS
		fileenve:
			incbin    "Songs\Mods\envelopes.bin"
		filepatc:
			incbin    "Songs\Mods\patches.bin"
	ENDC
	
	org	$C5B3A      ; отсебятина
	dc.l samplebank ; вписываем новый адрес банка сэмплов
	
	IF	(NEWSONGS=1)
		org   $C5B40 ; адрес, указывающий на мелодии
		dc.l  filesequ
		
		org   $C5B46 ; адрес, указывающий на модуляции
		dc.l  fileenve
			
		org   $C5B4C ; адрес, указывающий на инструменты
		dc.l  filepatc
	ENDC
	
	org	$C60DA
	lea	soundtable,a0
	nop
	moveq	#$16,d0	
	
	org	$C616C
	lea	soundtable,a0
	move.b  (a0,d0.w),d1
	move.b  2(a0,d0.w),d2
	move.b  1(a0,d0.w),d0
	andi.w	#$FF,d0
	tst.w	d1
	
	org	$C6300
	lea	soundtable,a0
	move.b  (a0,d0.w),d1
	move.b  2(a0,d0.w),d2
	move.b  1(a0,d0.w),d0
	andi.l	#$FF,d0
	tst.w	d1
	
	org $C7EF2       ; новая отсебятина 3 - тайл сет надписи Deceased
	IF	(LANG=1)
		incbin	"DeceasedTyleSetENG.smd" ; адрес может быть не точный
	ELSE
		incbin	"DeceasedTyleSetRUS.smd"
	ENDC
	
	org $CA0B2       ; новая отсебятина 3 - карта надписи Deceased
	IF	(LANG=1)
		incbin	"DeceasedTyleMapENG.bin" ; адрес может быть не точный
	ELSE
		incbin	"DeceasedTyleMapRUS.bin"
	ENDC
	
	org	$125116      ; новая отсебятина - 2 тайловый шрифт номер 3. правил только 1 букву "ы". не хватает кучи букв
	IF	(LANG=1)
		incbin	"Fonts\font3eng.bin" ; адрес может быть не точный
	ELSE
		incbin	"Fonts\font3rus.bin"
	ENDC
	
	
	org	$12EAA6      ; новая отсебятина - 1 тайловый шрифт названия локи на карте внизу
	IF	(LANG=1)
		incbin	"Fonts\font2eng.bin" ; адрес может быть не точный
	ELSE
		incbin	"Fonts\font2rus.bin"
	ENDC
	
	org	$15846E      ; новая отсебятина - иконки. есть только русские
	incbin	"Icons\01.bin"
	incbin	"Icons\02.bin"
	incbin	"Icons\03.bin"
	incbin	"Icons\04.bin"
	incbin	"Icons\05.bin"
	incbin	"Icons\06.bin"
	incbin	"Icons\07.bin"
	incbin	"Icons\08.bin"
	incbin	"Icons\09.bin"
	incbin	"Icons\10.bin"
	incbin	"Icons\11.bin"
	incbin	"Icons\12.bin"
	incbin	"Icons\13.bin"
	incbin	"Icons\14.bin"
	
	org	$1FE000	; 8kb 
	    ; из бейонда
		dc.l aMineCollected      ; "MINE	    COLLECTED		       "
		dc.l aBulletProofVestCol ; "BULLET   PROOF    VEST     COLLECTED"
		dc.l aFireExtinGuisherCo ; "FIRE	    EXTIN-   GUISHER  COLLECTED"
		dc.l aFireProofSuitColle ; "FIRE	 PROOF	  SUIT	   COLLECTED"
		dc.l aFlashLightCollecte ; "FLASH    LIGHT    COLLECTED	 "
		dc.l aHandGrenadeCollect ; "HAND     GRENADE	COLLECTED	  "
		dc.l aHandgunCollected	 ; "HANDGUN  COLLECTED		       "
		dc.l aNightVisionCollect ; "NIGHT    VISION	COLLECTED	  "
		dc.l aLaserAimedGuncolle ; "LASER	 AIMED GUNCOLLECTED	    "
		dc.l aRocketLauncherColl ; "ROCKET	  LAUNCHER COLLECTED	     "
		dc.l aShotgunCollected	 ; "SHOTGUN  COLLECTED		       "
		dc.l aFlameThrowerCollec ; "FLAME	THROWER	 COLLECTED	   "
		dc.l aPulseLaserCollecte ; "PULSE    LASER    COLLECTED	 "
		dc.l aBioScannerCollecte ; "BIO      SCANNER  COLLECTED	 "
		dc.l aMedipackCollected	 ; "MEDIPACK COLLECTED		       "
		dc.l aSteppingOneFloorup ; "STEPPING ONE FLOORUP		"
		dc.l aSteppingOneFloordo ; "STEPPING ONE FLOORDOWN		  "
		dc.l aFloorSecured	     ; "FLOOR    SECURED		       "
		dc.l aFloorNotsecured	 ; "FLOOR NOTSECURED		       "
		dc.l unk_1B412           ; "2 PLAYER	CONNEC-	 TION LOST	   "
		dc.l $1E6D2	             ; "				       "
		dc.l aHealthConditionlow ; "HEALTH   CONDITIONLOW		"
		dc.l aHealthConditioncri ; "HEALTH	  CONDITIONCRITICAL	     "
		dc.l aAmmuNitionIslo	 ; "AMMU-    NITION ISLOW	       "
		dc.l aEliminateallEnemie ; "ELIMINATEALL      ENEMIES		 "
		dc.l aZeroEnemiesRem     ; "ZERO     ENEMIES	REMAINING	  "
		dc.l aProceedToNextL     ; "PROCEED  TO	NEXT  LEVEL		"
		
off_0_1EE94:	
		dc.l aEnteringDockingBay ; "ENTERING DOCKING  BAY LEVEL1	       "
		dc.l aEnteringDockingB_0 ; "ENTERING DOCKING  BAY	LEVEL2	      "
		dc.l aEnteringBridgeLeve ; "ENTERING BRIDGE	LEVEL 1		  "
		dc.l aEnteringEngineLeve ; "ENTERING ENGINE	LEVEL 1		  "
		dc.l aEnteringEngineLeve ; "ENTERING ENGINE	LEVEL 2		  "
		dc.l aEnteringEngineLeve ; "ENTERING ENGINE	LEVEL 3		  "
		dc.l aEnteringEngineLeve ; "ENTERING ENGINE	LEVEL 4		  "
		dc.l aEnteringGreenHouse ; "ENTERING GREEN    HOUSE    LEVEL 1  "
		dc.l aEnteringGreenHou_0 ; "ENTERING GREEN    HOUSE    LEVEL 2  "
		dc.l aEnteringGreenHou_1 ; "ENTERING GREEN    HOUSE    LEVEL 3  "
		dc.l aEnteringBridgeLe_0 ; "ENTERING BRIDGE	LEVEL 2		  "
		dc.l aEnteringReactorLev ; "ENTERING	REACTOR	 LEVEL 1	   "
		dc.l aEnteringReactorL_0 ; "ENTERING	REACTOR	 LEVEL 2	   "
		dc.l aEnteringReactorL_0 ; "ENTERING	REACTOR	 LEVEL 2	   "
		dc.l aEnteringReactorL_0 ; "ENTERING	REACTOR	 LEVEL 2	   "
		dc.l aEnteringReactorL_0 ; "ENTERING	REACTOR	 LEVEL 2	   "
		dc.l aEnteringFloor165	 ; "ENTERING FLOOR 165		       "
		dc.l aEnteringFloor164	 ; "ENTERING FLOOR 164		       "
		dc.l aEnteringFloor163	 ; "ENTERING FLOOR 163		       "
		dc.l aEnteringFloor162	 ; "ENTERING FLOOR 162		       "
		dc.l aEnteringFloor161	 ; "ENTERING FLOOR 161		       "
		dc.l aEnteringFloor160	 ; "ENTERING FLOOR 160		       "
		dc.l aEnteringFloor159	 ; "ENTERING FLOOR 159		       "
		dc.l aEnteringFloor158	 ; "ENTERING FLOOR 158		       "
		dc.l aEnteringFloor157	 ; "ENTERING FLOOR 157		       "
		dc.l aEnteringFloor156	 ; "ENTERING FLOOR 156		       "
		dc.l aEnteringFloor155	 ; "ENTERING FLOOR 155		       "
		dc.l aEnteringFloor154	 ; "ENTERING FLOOR 154		       "
		dc.l aEnteringFloor153	 ; "ENTERING FLOOR 153		       "
		dc.l aEnteringFloor152	 ; "ENTERING FLOOR 152		       "
		dc.l aEnteringFloor151	 ; "ENTERING FLOOR 151		       "
		dc.l aEnteringFloor151	 ; "ENTERING FLOOR 151	           "

off_0_1EF14:	
		dc.l $1E6D2				 ; "				       "
		dc.l aBioScannerCollecte ; "BIO      SCANNER  COLLECTED	 "
		dc.l aMineCollected		 ; "MINE	    COLLECTED		       "
		dc.l aBulletProofVestCol ; "BULLET   PROOF    VEST     COLLECTED"
		dc.l aFireExtinGuisherCo ; "FIRE	    EXTIN-   GUISHER  COLLECTED"
		dc.l aFireProofSuitColle ; "FIRE	 PROOF	  SUIT	   COLLECTED"
		dc.l aFlashLightCollecte ; "FLASH    LIGHT    COLLECTED	 "
		dc.l aHandGrenadeCollect ; "HAND     GRENADE	COLLECTED	  "
		dc.l aHandgunCollected	 ; "HANDGUN  COLLECTED		       "
		dc.l aNightVisionCollect ; "NIGHT    VISION	COLLECTED	  "
		dc.l aLaserAimedGuncolle ; "LASER	 AIMED GUNCOLLECTED	    "
		dc.l aRocketLauncherColl ; "ROCKET	  LAUNCHER COLLECTED	     "
		dc.l aShotgunCollected	 ; "SHOTGUN  COLLECTED		       "
		dc.l aFlameThrowerCollec ; "FLAME	THROWER	 COLLECTED	   "
		dc.l aPulseLaserCollecte ; "PULSE    LASER    COLLECTED
	
soundtable	
	include	SoundTable.asm ; таблица звуков - из оригинального кусочка сурсов
	even
	IF	(LANG=1)
		include	EventsTableENG.asm ; таблица событий -  из бейонда
	ELSE
		include	EventsTableRUS.asm
	ENDC


; из оригинального кусочка сурсов
Sound_Song	equ	0
Sound_FM	equ	1
Sound_Samp	equ	2
Sound_Voice	equ	3

; Keys
C_0 		equ	0
Cs_0		equ	1
D_0 		equ	2
Ds_0		equ	3
E_0 		equ	4
F_0 		equ	5
Fs_0		equ	6
G_0 		equ	7
Gs_0		equ	8
A_1 		equ	9
As_1		equ	10
B_1 		equ	11
C_1 		equ	12
Cs_1		equ	13
D_1 		equ	14
Ds_1		equ	15
E_1 		equ	16
F_1 		equ	17
Fs_1		equ	18
G_1 		equ	19
Gs_1		equ	20
A_2 		equ	21
As_2		equ	22
B_2 		equ	23
C_2 		equ	24
Cs_2		equ	25
D_2 		equ	26
Ds_2		equ	27
E_2 		equ	28
F_2 		equ	29
Fs_2		equ	30
G_2 		equ	31
Gs_2		equ	32
A_3 		equ	33
As_3		equ	34
B_3 		equ	35
C_3 		equ	36
Cs_3		equ	37
D_3 		equ	38
Ds_3		equ	39
E_3 		equ	40
F_3 		equ	41
Fs_3		equ	42
G_3 		equ	43
Gs_3		equ	44
A_4 		equ	45
As_4		equ	46
B_4 		equ	47
C_4 		equ	48
Cs_4		equ	49
D_4 		equ	50
Ds_4		equ	51
E_4 		equ	52
F_4 		equ	53
Fs_4		equ	54
G_4 		equ	55
Gs_4		equ	56
A_5 		equ	57
As_5		equ	58
B_5 		equ	59
C_5 		equ	60
Cs_5		equ	61
D_5 		equ	62
Ds_5		equ	63
E_5 		equ	64
F_5 		equ	65
Fs_5		equ	66
G_5 		equ	67
Gs_5		equ	68
A_6 		equ	69
As_6		equ	70
B_6 		equ	71
C_6 		equ	72
Cs_6		equ	73
D_6 		equ	74
Ds_6		equ	75
E_6 		equ	76
F_6 		equ	77
Fs_6		equ	78
G_6 		equ	79
Gs_6		equ	80
A_7 		equ	81
As_7		equ	82
B_7 		equ	83
C_7 		equ	84
Cs_7		equ	85
D_7 		equ	86
Ds_7		equ	87
E_7 		equ	88
F_7 		equ	89
Fs_7		equ	90
G_7 		equ	91
Gs_7		equ	92
A_8 		equ	93
As_8		equ	94
B_8 		equ	95
C_8 		equ	96

; отсебятина
samplebank:
  incbin	"Samples Edit.bin" ; банк с сэмплами. втуливается в конец рома. гавно хак кароче.
  